<?xml version="1.0" encoding="utf-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns="http://java.sun.com/xml/ns/javaee"
xmlns:web="http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
xsi:schemaLocation="http://java.sun.com/xml/ns/javaee
http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" version="2.5">
	<security-constraint>
		<web-resource-collection>
			<url-pattern>/gdsearch/admin/*</url-pattern>
		</web-resource-collection>
		<auth-constraint>
			<role-name>admin</role-name>
		</auth-constraint>
	</security-constraint>
	<servlet>
		<servlet-name>GameDataImport</servlet-name>
		<servlet-class>gdsearch.GameDataImportServlet</servlet-class>
	</servlet>
	<servlet>
		<servlet-name>GameDataUrlImport</servlet-name>
		<servlet-class>gdsearch.GameDataUrlImportServlet</servlet-class>
	</servlet>
	<servlet>
		<servlet-name>GameDataDelete</servlet-name>
		<servlet-class>gdsearch.GameDataDeleteServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>GameDataImport</servlet-name>
		<url-pattern>/gdsearch/gdimport</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>GameDataUrlImport</servlet-name>
		<url-pattern>/gdsearch/gdurlimport</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>GameDataDelete</servlet-name>
		<url-pattern>/gdsearch/gddelete</url-pattern>
	</servlet-mapping>
	<welcome-file-list>
		<welcome-file>index.html</welcome-file>
		<welcome-file>index.jsp</welcome-file>
	</welcome-file-list>
</web-app>
